#!/bin/sh

#find first file
FFILE=`ls | grep -i mp3 | head -1`

#Check for track number
TNR=`mp3info -p %n "$FFILE"`
if [ "#$TNR" == "#" ]; then
  echo "Warning: no track number in $FFILE"
  exit 1
fi

# "#" is used as FS and must not appear in names
mp3info -p "%n#%f\n" *.mp3 | sort -n | awk -F# '{print $2}'
