#!/bin/sh
#
# make playlist archive
# assumes path: $1/band/album/*.m3u

IFS="
"

ROOT=${1:-"/usr/local/share/MP3"}

ALL=`find $ROOT -name \*.m3u`

for i in $ALL; do
    DIR=`dirname $i`
    FILE=`basename $i`
    SONGS=`cat $i`
    BAND=`echo "$DIR" | awk -F "/" '{print $(NF-1)}'`
    echo "$BAND  $FILE"
    mkdir -p $BAND
    rm -f ${BAND}/${FILE}
    for j in $SONGS; do
	echo "${DIR}/${j}" >> ${BAND}/${FILE}
    done 
done

